model= 'ATH-753';

L= 220;
W= 165;
H= 252;


skleika=20;
klapan=30;
CrLen=2
dimensions=model+' '+L+' x '+W+' x '+H;

//////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////
conv=2.834646;
obr=5*conv;
L*=conv;
H*=conv;
W*=conv;
skleika*=conv;
klapan*=conv;
CrLen*=conv;
all_w=obr+W+L+W+L+skleika;
all_h=obr+H+W+klapan;
//$.bp()

Doc = documents.add(DocumentColorSpace.CMYK,all_w,all_h);

//     
newCMYKColor = new CMYKColor();
newCMYKColor.black = 20;
newCMYKColor.cyan = 0;
newCMYKColor.magenta = 0;
newCMYKColor.yellow = 0;
var newColor = new Color();
newColor.cmyk = newCMYKColor;

newCMYKColor = new CMYKColor();
newCMYKColor.black = 100;
newCMYKColor.cyan = 100;
newCMYKColor.magenta = 100;
newCMYKColor.yellow = 100;
var allChan = new Color();
allChan.cmyk = newCMYKColor;

Doc.defaultFilled=false;
Doc.defaultStroked=false;

Artwork=Doc.layers.add();
Artwork.name="Artwork";
Doc.layers[1].remove();

//   
Text=activeDocument.textArtItems.add();
Text.contents=dimensions;
Ran=Text.textRange();
Ran.size=55;
Text.top=activeDocument.height;
Text.left=obr+W;

// 

Obj=Doc.pathItems.add();
Obj.setEntirePath(Array(Array(0,0),Array(0,obr+H+obr),
	Array(obr+W+L+W-obr,obr+H+obr),Array(obr+W+L+W-obr,all_h),Array(all_w-skleika+obr,all_h),
	Array(all_w-skleika+obr,obr+H+obr),Array(all_w,obr+H+obr),Array(all_w,0),));
Obj.closed=true;
Obj.fillColor=newColor;

Crease=Doc.layers.add();
Crease.name="Crease";

Cut=Doc.layers.add();
Cut.name="Cut";

//  

Obj=Doc.pathItems.add();
Obj.setEntirePath(Array(Array(obr,obr),Array(obr,obr+H),
	Array(obr+W+L+W,obr+H),Array(obr+W+L+W,all_h),
	Array(all_w-skleika,all_h), Array(all_w-skleika,obr+H),
	Array(all_w,obr+H),Array(all_w,obr),));
Obj.closed=true;
Obj.guides=true;
Obj.moveToEnd(Doc.layers["Cut"]);

//  

function NewGuide(Gui,x,y,x1,y1){
	Gui=Doc.pathItems.add();	
	Gui.setEntirePath(Array(Array(x,y),Array(x1,y1)));
	Gui.guides=true;
	Gui.moveToEnd(Doc.layers["Crease"]);
};

NewGuide("Gh1",obr+W+L+W-obr,all_h-klapan,all_w-skleika+obr,all_h-klapan);
NewGuide("Gh2",obr+W+L+W,obr+H,all_w-skleika,obr+H);

NewGuide("Gv1",obr+W,0,obr+W,obr+H+obr);
NewGuide("Gv2",obr+L+W,obr+H+obr,obr+L+W,0);
NewGuide("Gv3",obr+W+L+W,0,obr+W+L+W,obr+H);
NewGuide("Gv4",all_w-skleika,0,all_w-skleika,obr+H);


// 

CROPS=Doc.layers.add();
CROPS.name="CROPS";

function NewCrop(Cr,x,y,x1,y1){	
	Cr=Doc.pathItems.add();
	Cr.setEntirePath(Array(Array(x,y),Array(x1,y1)));
	Cr.strokeColor=allChan;
	Cr.strokeWidth=0.3;
	Cr.moveToEnd(Doc.layers["CROPS"]);
};

NewCrop("Sh1",0,all_h-klapan,0+CrLen,all_h-klapan);
NewCrop("Sh2",all_w-CrLen,all_h-klapan,all_w,all_h-klapan);
NewCrop("Sh3",0,obr+H,0+CrLen,obr+H);
NewCrop("Sh4",all_w-CrLen,obr+H,all_w,obr+H);
NewCrop("Sh5",0,obr,0+CrLen,obr);
NewCrop("Sh6",all_w-CrLen,obr,all_w,obr);

NewCrop("Sv1",obr,all_h,obr,all_h-CrLen);
NewCrop("Sv2",obr,0+CrLen,obr,0);
NewCrop("Sv3",obr+W,all_h,obr+W,all_h-CrLen);
NewCrop("Sv4",obr+W,0+CrLen,obr+W,0);
NewCrop("Sv5",obr+W+L,all_h,obr+W+L,all_h-CrLen);
NewCrop("Sv6",obr+W+L,0+CrLen,obr+W+L,0);
NewCrop("Sv7",obr+W+L+W,all_h,obr+W+L+W,all_h-CrLen);
NewCrop("Sv8",obr+W+L+W,0+CrLen,obr+W+L+W,0);
NewCrop("Sv9",obr+W+L+W+L,all_h,obr+W+L+W+L,all_h-CrLen);
NewCrop("Sv10",obr+W+L+W+L,0+CrLen,obr+W+L+W+L,0);

CROPS.locked=true;

Doc.activeLayer=Doc.layers["Artwork"];